local is_farming_redo = minetest.get_modpath("farming") ~= nil
		and farming ~= nil and farming.mod == "redo"

local S = sickles.i18n

minetest.register_alias('farming:scythe', 'sickles:scythe_titanium')

minetest.register_tool("sickles:scythe_titanium", {
	description = "Titanium Scythe",
	inventory_image = "sickles_scythe_titanium.png",
	tool_capabilities = {
		full_punch_interval = 1.2,
		damage_groups = { fleshy = 5 },
		punch_attack_uses = 160
	},
	range = 8,
	on_use = sickles.use_scythe,
	groups = { scythe = 2, scythe_uses = 25 },
	sound = { breaks = "default_tool_breaks" }
})

minetest.register_tool("sickles:scythe_rose", {
	description = "Rose Thennium Scythe",
	inventory_image = "sickles_scythe_rose.png",
	tool_capabilities = {
		full_punch_interval = 1.2,
		damage_groups = { fleshy = 5 },
		punch_attack_uses = 180
	},
	range = 10,
	on_use = sickles.use_scythe,
	groups = { scythe = 3, scythe_uses = 30 },
	sound = { breaks = "default_tool_breaks" }
})
